Which Devices Are Supported?

Android 7.0 and up
iPhone Requires iOS 9.0 or later. Compatible with iPhone, iPad, and iPod touch.

If you're having trouble installing/using the BeFunky App, please try the following:

  1. Remove BeFunky
  2. Clear your device cache
  3. Clear your app store cache
  4. Reboot your device
  5. Reinstall BeFunky from your app store using a wi-fi connection
1 out of 1 found this helpful